org.h2.mvstore.tx

## Class TransactionMap.TMIterator<K,V,X>

- java.lang.Object
- - org.h2.mvstore.tx.TransactionMap.TMIterator<K,V,X>

All Implemented Interfaces:
  java.util.Iterator<X>

Enclosing class:
  TransactionMap<K,V>

    public abstract static class TransactionMap.TMIterator<K,V,X>
    extends java.lang.Object
    implements java.util.Iterator<X>

### Field Summary

Fields
`protected Cursor<K,VersionedValue<V>>` `cursor`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract X` `fetchNext()` Fetches a next entry.
`boolean` `hasNext()`
`X` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

### Field Detail

#### cursor

    protected final Cursor<K,VersionedValue<V>> cursor

### Method Detail

#### fetchNext

    public abstract X fetchNext()

Fetches a next entry. This method cannot be used together with `hasNext()` and `next()`.

Returns:
  the next entry or `null`

#### hasNext

    public final boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<X>`

#### next

    public final X next()

Specified by:
  `next` in interface `java.util.Iterator<X>`